/* $Id: Replace_func.hpp 549711 2017-10-26 18:03:18Z gotvyans $
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 */

/// @file Replace_func.hpp
/// User-defined methods of the data storage class.
///
/// This file was originally generated by application DATATOOL
/// using the following specifications:
/// 'macro.asn'.
///
/// New methods or data members can be added to it if needed.
/// See also: Replace_func_.hpp


#ifndef OBJECTS_MACRO_REPLACE_FUNC_HPP
#define OBJECTS_MACRO_REPLACE_FUNC_HPP


// generated includes
#include <objects/macro/Replace_func_.hpp>

// generated classes

BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::

class CMatchString;
/////////////////////////////////////////////////////////////////////////////
class CReplace_func : public CReplace_func_Base
{
    typedef CReplace_func_Base Tparent;
public:
    // constructor
    CReplace_func(void);
    // destructor
    ~CReplace_func(void);

    bool ApplyToString(string& result, const CMatchString& str, CConstRef<CString_constraint> find) const;

private:
    // Prohibit copy constructor and assignment operator
    CReplace_func(const CReplace_func& value);
    CReplace_func& operator=(const CReplace_func& value);

};

/////////////////// CReplace_func inline methods

// constructor
inline
CReplace_func::CReplace_func(void)
{
}


/////////////////// end of CReplace_func inline methods


END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE


#endif // OBJECTS_MACRO_REPLACE_FUNC_HPP
/* Original file checksum: lines: 86, chars: 2443, CRC32: 994ca019 */
